Skip to main content
`Ctrl`+`K`

# TSTrajectorySetUseHistory

Use `TSHistory` in `TSTrajectory`

## Synopsis

    #include "petscts.h"
    PetscErrorCode TSTrajectorySetUseHistory(TSTrajectory tj, PetscBool flg)

Collective

## Input Parameters

- tj - the `TSTrajectory` context

- flg - `PETSC_TRUE` to save, `PETSC_FALSE` to disable

## Options Database Key

- -ts_trajectory_use_history - have it use `TSHistory`

## See Also

TS: Scalable ODE and DAE Solvers, `TSTrajectory`, `TSTrajectoryCreate()`, `TSTrajectoryDestroy()`, `TSTrajectorySetUp()`

## Level

advanced

## Location

src/ts/trajectory/interface/traj.c

Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages